For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get document generation details

get
Authorizations
X-Api-KeystringRequired
Path parameters
_idstringRequired
Responses
200

OK

application/json
dataany · nullableOptionalDefault: null
messagestring · nullableOptionalDefault: null
statusstring · enumOptionalDefault: successPossible values:
get/generate/{_id}
GET /generate/{_id} HTTP/1.1
Host: api-docai-uat.uptiq.ai
X-Api-Key: YOUR_API_KEY
Accept: */*
{
  "data": null,
  "generation": {
    "_id": "text",
    "accountId": "text",
    "createdAt": "text",
    "data": [
      {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    ],
    "documentType": "text",
    "error": "text",
    "errorDetails": {
      "message": "text",
      "stack": "text",
      "statusCode": 1,
      "type": "text"
    },
    "failedAt": "text",
    "format": "text",
    "jobEndTime": "text",
    "jobStartTime": "text",
    "metadata": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "processedAt": "text",
    "processingAttempts": 0,
    "requestId": "text",
    "status": "text",
    "storageInfo": {
      "container": "text",
      "contentType": "application/vnd.openxmlformats-officedocument.wordprocessingml.document",
      "key": "text",
      "provider": "text",
      "size": 1,
      "uploadedAt": "text"
    },
    "style": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "updatedAt": "text",
    "webhookUrl": "text"
  },
  "message": "text",
  "status": "success"
}

Last updated

Was this helpful?